Bug 568201 - publican doesn't replace some of the translated entries.
publican doesn't replace some of the translated entries.
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Joshua Wulf
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-24 19:09 EST by Manuel Ospina
Modified: 2015-11-09 19:10 EST (History)
5 users (show)

See Also:
Fixed In Version: 1.6.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 20:53:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manuel Ospina 2010-02-24 19:09:12 EST
Description of problem:

When building HTML/HTML-Single or PDF, publican doesn't replace some of the entries that has been translated in the PO file. 

Version-Release number of selected component (if applicable): 1.4


How reproducible: Always


Steps to Reproduce:
1. publican build --formats html-single --langs it-IT
2. check with firefox
  
Actual results:
Several entries are still in English in the HTML version. 

An example from the Installation Guide:

--------------------------
A .parm file is still required for the real kernel parameters, such as root=/dev/ram0 ro ip=off ramdisk_size=40000, and single parameters which are not assigned to variables, such as vnc. Two parameters which are used in z/VM installs to point the installation program at the new CMS configuration file need to be added to the .parm file: 
--------------------------

The entry in the PO file (it-IT/S390_Steps_Vm.po) is correct and properly translated:

---------------------------
#. Tag: para
#, no-c-format
msgid ""
"A <filename>.parm</filename> file is still required for the <emphasis>real</"
"emphasis> kernel parameters, such as <parameter>root=/dev/ram0 ro ip=off "
"ramdisk_size=40000</parameter>, and single parameters which are not assigned "
"to variables, such as <parameter>vnc</parameter>. Two parameters which are "
"used in z/VM installs to point the installation program at the new CMS "
"configuration file need to be added to the <filename>.parm</filename> file:"
msgstr ""
"Il file <filename>.parm</filename> è ancora necessario per i parametri del "
"kernel <emphasis>real</emphasis>, come ad esempio <parameter>root=/dev/ram0 "
"ro ip=off ramdisk_size=40000</parameter>, ed i parametri singoli non ancora "
"assegnati alle variabili, come <parameter>vnc</parameter>. È altresì "
"necessario aggiungere al file <filename>.parm</filename>, due parametri "
"utilizzati nelle installazioni z/VM per indicare il programma "
"d'installazione al nuovo file di configurazione CMS ." 
------------------------------

There are several entries like this one but I couldn't find a pattern between them. 

Expected results:
The HTML should display the entry in the correct language (Italian in this case).


Additional info:
Comment 1 Jeff Fearn 2010-02-24 21:27:19 EST
Attribute matching regex was too loose, so it was mmatching nested tags of similar name. In this case para amd parameter.

Tightened up regex to avoid matching sub-strings.
Comment 2 Fedora Update System 2010-02-26 00:25:14 EST
publican-1.5-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc12
Comment 3 Fedora Update System 2010-02-26 00:29:04 EST
publican-1.5-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc13
Comment 4 Fedora Update System 2010-02-26 00:29:17 EST
publican-1.5-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc11
Comment 5 Fedora Update System 2010-02-26 00:29:21 EST
publican-1.5-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc12
Comment 6 Fedora Update System 2010-02-26 00:31:38 EST
publican-1.5-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc13
Comment 7 Fedora Update System 2010-02-26 00:35:29 EST
publican-1.5-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.5-0.fc11
Comment 8 Fedora Update System 2010-02-26 22:29:50 EST
publican-1.5-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-02-26 22:45:35 EST
publican-1.5-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Manuel Ospina 2010-03-04 23:06:46 EST
There are still some entries that are not replaced:

#. Tag: para
#, no-c-format
msgid ""
"Valgrind has been updated to version 3.5.0, providing enhanced support for a "
"wide range of system architectures. This update introduces many improvements "
"to performance, scalability and usability of the Valgrind. Notably, the "
"usability and scalability of the Helgrind tool — which is used to detect "
"race contiditions — has been improved. The leak checking capabilities of the "
"<filename>Memcheck</filename> tool are also improved. Additionally, support "
"for DWARF debugging information has been enhanced."
msgstr "Valgrind ha sido actualizada a la versión 3.5.0, proporcionando soporte mejorado para un amplio rango de arquitecturas de sistema.   Esta actualización introduce muchas mejoras en rendimiento, escalabilidad y utilidad de Valgrind. En particular, la utilidad y escalabilidad de la herramienta Helgrind — la cual sirve para detectar condiciones de carrera — ha sido mejorada. También han sido mejorados la filtración de verificación de funcionalidades de la herramienta <filename>Memcheck</filename> y el soporte para información de depuración DWARF."


XML:
<para>
        Valgrind has been updated to version 3.5.0, providing enhanced support for a wide range of system architectures. This update introduces many improvements to performance, scalability and usability of the Valgrind. Notably, the usability and scalability of the Helgrind tool — which is used to detect race contiditions — has been improved. The leak checking capabilities of the <filename>Memcheck</filename> tool are also improved. Additionally, support for DWARF debugging information has been enhanced.
    </para>

from: Release Notes rhel5.5
Comment 11 Jeff Fearn 2010-03-05 00:14:36 EST
It's the fat dash, —, that is doing it, not sure why.

The work around is to use a normal dash or &mdash;
Comment 12 Jeff Fearn 2010-03-22 01:54:38 EDT
Forced UTF8 on all the time.
Comment 13 Ruediger Landmann 2010-03-22 02:43:07 EDT
Verified that UTF8 em dashes and en dashes get matched and replaced in 1.6.1
Comment 14 Fedora Update System 2010-03-23 20:12:53 EDT
publican-1.6.1-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.6.1-0.fc12
Comment 15 Fedora Update System 2010-03-23 20:13:29 EDT
publican-1.6.1-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.6.1-0.fc11
Comment 16 Fedora Update System 2010-03-23 20:13:59 EDT
publican-1.6.1-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.6.1-0.fc13
Comment 17 Fedora Update System 2010-03-23 20:46:13 EDT
publican-1.6.1-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2010-03-24 19:35:47 EDT
publican-1.6.1-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2010-03-24 19:37:29 EDT
publican-1.6.1-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.